curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/rpc \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '{
"method": "claimStaticDeposit",
"network": "MAINNET",
"params": {
"credit_amount_sats": 9901,
"signature": "3045022100c4b5c728cdaf2ca0d9ffa2a5689eefa51d286bf32fbfb678071735a44e83132f0220173e59115579e705689dd0d3e819b87255e86ed4629637c85f761c0960869c7a",
"transaction_id": "cff576f1ebebda2ddf812f06f656a6668f08f13d56290b4468327607f4d68acb",
"output_index": 0
}
}'
{
"method": "claimStaticDeposit",
"data": {
"transfer_id": "22a62e0b-6eae-4d84-8f15-2a69a6440b74"
}
}
Spark BTC
claimStaticDeposit
Claims funds sent to the static BTC deposit address.
POST
/
v1
/
wallets
/
{wallet_id}
/
rpc
curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/rpc \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '{
"method": "claimStaticDeposit",
"network": "MAINNET",
"params": {
"credit_amount_sats": 9901,
"signature": "3045022100c4b5c728cdaf2ca0d9ffa2a5689eefa51d286bf32fbfb678071735a44e83132f0220173e59115579e705689dd0d3e819b87255e86ed4629637c85f761c0960869c7a",
"transaction_id": "cff576f1ebebda2ddf812f06f656a6668f08f13d56290b4468327607f4d68acb",
"output_index": 0
}
}'
{
"method": "claimStaticDeposit",
"data": {
"transfer_id": "22a62e0b-6eae-4d84-8f15-2a69a6440b74"
}
}
Idempotency on errors: On 4xx or 5xx, Privy caches the response and replays it for the same
key. Generate a new key to retry after a server error. Policy violations are an exception and
allow same-key retries.
curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/rpc \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '{
"method": "claimStaticDeposit",
"network": "MAINNET",
"params": {
"credit_amount_sats": 9901,
"signature": "3045022100c4b5c728cdaf2ca0d9ffa2a5689eefa51d286bf32fbfb678071735a44e83132f0220173e59115579e705689dd0d3e819b87255e86ed4629637c85f761c0960869c7a",
"transaction_id": "cff576f1ebebda2ddf812f06f656a6668f08f13d56290b4468327607f4d68acb",
"output_index": 0
}
}'
{
"method": "claimStaticDeposit",
"data": {
"transfer_id": "22a62e0b-6eae-4d84-8f15-2a69a6440b74"
}
}
Headers
string
required
ID of your Privy app.
string
Request authorization signature. If multiple signatures are required, they should be comma
separated.
string
Request expiry. Value is a Unix timestamp in milliseconds representing the deadline by which the
request must be processed.
Path Parameters
string
required
ID of the wallet to get.
These wallet methods are modeled after the Spark Wallet
SDK. For more
information about this wallet method, check out the Spark Wallet
documentation.
Body
string
required
Available options:
claimStaticDepositstring
required
Available options:
MAINNET, REGTESTobject
required
Required parameters to claim the deposit.
Hide child attributes
Hide child attributes
number
required
Amount of native tokens (in satoshis) being claimed from the UTXO.
string
required
A signature authorizing the claim, signed by the address that received the deposit.
string
required
The transaction ID (hash) of the deposit transaction containing the UTXO.
number
required
The index of the UTXO output in the transaction.
Returns
enum<string>
required
Always
"claimStaticDeposit"Was this page helpful?

